Bug 128580 - Cannot restart JOnAS eclipseserver after abnormal termination
Cannot restart JOnAS eclipseserver after abnormal termination
Product: Red Hat Developer Suite
Classification: Retired
Component: Lomboz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Handcock
Depends On:
  Show dependency treegraph
Reported: 2004-07-26 13:40 EDT by Jeremy Handcock
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 10:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Handcock 2004-07-26 13:40:12 EDT
Description of problem: 
If the JOnAS eclipseserver (custom JONAS_BASE at
/var/lib/jonas/eclipseserver) is terminated using anything other than
Lomboz's "Stop application server" function (terminated abnormally),
it fails to restart.

This is more a problem on the JOnAS side of things, but it does impact
Eclipse's interactions with the application server.

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Using Lomboz, create a new J2EE project with JOnAS 4.1.x as the
target application server.
2. In the Lomboz J2EE View, right-click JOnAS 4.1.x and select "Debug
3. When the server has finished starting, switch to the Debug
perspective and terminate JOnAS using the stop button.  This will
terminate the application server abnormally by killing the initiating
java process.
4. Repeat step 2 in an attempt to restart the application server.
Actual results: 

JOnAS error: Server 'JOnAS' already started
Exception during execution of org.objectweb.jonas.server.Server :
JonAS already started
org.objectweb.jonas.service.JonasAlreadyStartedException : JonAS
already started
	at org.objectweb.jonas.jmx.JmxServiceImpl.doStart(Unknown Source)
	at org.objectweb.jonas.service.AbsServiceImpl.start(Unknown Source)
	at org.objectweb.jonas.service.ServiceManager.startJmx(Unknown Source)
	at org.objectweb.jonas.server.Server.start(Unknown Source)
	at org.objectweb.jonas.server.Server.main(Unknown Source)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:391)
	at org.objectweb.jonas.server.Bootstrap.main(Unknown Source)

Expected results: eclipseserver should start.

Additional info: This is an issue that will have to be addressed at
some point with JOnAS.
Comment 1 Andrew Overholt 2005-09-09 10:45:27 EDT
I am no longer seeing this.  Closing.

Note You need to log in before you can comment on or make changes to this bug.